commit: 0b521245262d354b7a0c854e69f60c0bd1d3853e
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 22 09:48:03 2020 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Mar 22 10:00:45 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0b521245
dev-ruby/activesupport: add 6.0.2.2
Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/activesupport/Manifest | 1 +
dev-ruby/activesupport/activesupport-6.0.2.1.ebuild | 1 +
.../{activesupport-6.0.2.1.ebuild => activesupport-6.0.2.2.ebuild} | 1 +
3 files changed, 3 insertions(+)
diff --git a/dev-ruby/activesupport/Manifest b/dev-ruby/activesupport/Manifest
index 1b291baf851..f2b5bdab59a 100644
--- a/dev-ruby/activesupport/Manifest
+++ b/dev-ruby/activesupport/Manifest
@@ -2,3 +2,4 @@ DIST rails-4.2.11.1.tgz 4081006 BLAKE2B
7db84961963f529a9b6c06011bb6e32b56f4beb0
DIST rails-5.2.4.1.tgz 8823310 BLAKE2B
33d863a66c0f5e0554c2beaf5fac235cfa3a5ba0c514aa30f53d9d036656d3710f7c486f3cd23e3b2986ee8621a11782a7a630f74131cce4c99a4ff7539e6b58
SHA512
5b59cd0ede76cedf1fdb50090c434c24fdcd30a2cf6ec4abc5437e62bb2aae410607e812d4e14acdd27b81a51365232f6e768156556ca67ae94b9e10d2eb7655
DIST rails-5.2.4.2.tgz 8823143 BLAKE2B
273bee6ccc2354bcfd8d24b320fe69c24f643c196eba053c727d30b13d4178069068c430a0a4112ae28c3e4b5a5dde0b66a7c46c7c28054f2b7a678427f478af
SHA512
21561407a0b606dbd2fb6ad12ef910c0bdf3d5162db7e55f4f41f698280ba73664b0b5594930d4cebcb42a66e2e5e22de3523789818eb424443e8c5b2316b8fc
DIST rails-6.0.2.1.tgz 18556085 BLAKE2B
178e2d5319fa71ba9f3f7d7a00c207ed9c8d87973487a253c5f819132743f8cdf1428b1668c6e176c91d45986a2201e52f9016efe5ca28ab93301135e5392dd5
SHA512
b33e82ba9e898f7c467df26b7196c69564bcdd24a4732ae6912d06dd361044e769d87fc3e8872533c97fc8d034cab2fad33082925f98cf2096fb1dd4ff6789d7
+DIST rails-6.0.2.2.tgz 18556125 BLAKE2B
f4ed5cc6cbbfa84fb687aba5a6c8f2f6ab68febb41147c40ed8dbc6253c128adbac6503e65e89fe672f50270716d197d8c05b4e1e286aafd76581fc167e6c5da
SHA512
c1aab2d6c72948c75a047aec9d9f651f0c1bae78bb17e2fa0cb393113ee1e59980dc093e6f3fd3b2f3839c9b3bb4afcd0b0badfd9574b35b932275a9d9800689
diff --git a/dev-ruby/activesupport/activesupport-6.0.2.1.ebuild
b/dev-ruby/activesupport/activesupport-6.0.2.1.ebuild
index 869cf4ba560..5d4455035f8 100644
--- a/dev-ruby/activesupport/activesupport-6.0.2.1.ebuild
+++ b/dev-ruby/activesupport/activesupport-6.0.2.1.ebuild
@@ -55,6 +55,7 @@ all_ruby_prepare() {
-e 's/gemspec/gemspec path: "activesupport"/' \
-e '5igem "builder"; gem "rack"' ../Gemfile || die
rm ../Gemfile.lock || die
+ sed -i -e '1igem "tzinfo", "~> 1.1"' test/abstract_unit.rb || die
# Avoid test that depends on timezone
sed -i -e '/test_implicit_coercion/,/^ end/ s:^:#:'
test/core_ext/duration_test.rb || die
diff --git a/dev-ruby/activesupport/activesupport-6.0.2.1.ebuild
b/dev-ruby/activesupport/activesupport-6.0.2.2.ebuild
similarity index 97%
copy from dev-ruby/activesupport/activesupport-6.0.2.1.ebuild
copy to dev-ruby/activesupport/activesupport-6.0.2.2.ebuild
index 869cf4ba560..5d4455035f8 100644
--- a/dev-ruby/activesupport/activesupport-6.0.2.1.ebuild
+++ b/dev-ruby/activesupport/activesupport-6.0.2.2.ebuild
@@ -55,6 +55,7 @@ all_ruby_prepare() {
-e 's/gemspec/gemspec path: "activesupport"/' \
-e '5igem "builder"; gem "rack"' ../Gemfile || die
rm ../Gemfile.lock || die
+ sed -i -e '1igem "tzinfo", "~> 1.1"' test/abstract_unit.rb || die
# Avoid test that depends on timezone
sed -i -e '/test_implicit_coercion/,/^ end/ s:^:#:'
test/core_ext/duration_test.rb || die